---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: {{ app.name }}
  namespace: {{ kubernetes_namespace }}
  labels:
    app: {{ app.name }}
spec:
  jobLabel: {{ app.name }}
  endpoints:
  - bearerTokenSecret:
      key: token
      name: {{ app.name }}-prometheus
    interval: 60s
    path: /api/prometheus
    port: http
  selector:
    matchLabels:
      app: {{ app.name }}